
Foreman - Tracker #3157

Rails 4.1 upgrade tasks

09/27/2013 08:35 AM - Dominic Cleal

Status: Closed % Done: 100%

Priority: Normal   

Assignee:    

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

This tracker issue covers anything relating to Rails 4.0, e.g. refactors we can do, support for stuff we can/need to drop.

Related issues:

Related to Foreman - Refactor #3158: Remove rescues from try calls where meth... Closed 09/27/2013

Related to Foreman - Refactor #7567: fix deprecated find_by_[attribute]_or_cr... Closed 09/22/2014

Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014

Related to Foreman - Bug #7569: scope's require create callable object (lambd... Closed 09/22/2014

Related to Foreman - Bug #7573: update PUT to PATCH in routes.rb or on form_f... Duplicate 09/22/2014

Related to Foreman - Bug #7574: update confirm option for the link_to helper ... Closed 09/22/2014

Related to Foreman - Bug #7575: what to do with vendor/assets/fonts in rails ... Rejected 09/22/2014

Related to Foreman - Bug #8724: replace gems which do not work with rails 4 Resolved 12/16/2014

Related to Foreman - Bug #8726: remove deprecated hash_for_path_helper_path m... New 12/16/2014

Related to Foreman - Bug #8737: resolve deprecation warnings and get gems to ... Resolved 12/17/2014

Related to Foreman - Bug #8738: get tests to run with rails4 Resolved 12/17/2014

Related to Foreman - Refactor #11216: Change rails default error messages to ... Closed 07/27/2015

Related to Foreman - Bug #11812: Remove whiny nils and add eager load Closed 09/15/2015

Related to Foreman - Bug #11813: Use new engines listing syntax Closed 09/15/2015

Related to Foreman - Bug #11814: model_name needs to be stringified on Rails 4 Closed 09/15/2015

Related to Foreman - Bug #11816: Remove whitelist_attributes as it's deprecated Closed 09/15/2015

Related to Foreman - Bug #11817: Do not allow multi-line URL validations Closed 09/15/2015

Related to Foreman - Bug #11818: Update match routes to GET Closed 09/15/2015

Related to Foreman - Bug #11844: Remove duplicate distinct scope in FactValue Closed 09/16/2015

Related to Foreman - Bug #11846: Specify join_table and foreign keys for habt... Closed 09/16/2015

Related to Foreman - Bug #11912: Remove deprecated assert_present assert_blank Closed 09/22/2015

Related to Foreman - Bug #11924: Substitute .scoped by .where(nil) to force r... Closed 09/22/2015

Related to Foreman - Bug #12011: Replace .includes(table).where(table) by .ea... Closed 09/30/2015

Related to Foreman - Bug #12097: rails 4 compatibility - user_test compatible... Rejected 10/08/2015

Related to Foreman - Refactor #12098: Dangling Fog.unmock! makes compute_reso... Closed 10/08/2015

Related to Foreman - Refactor #12099: Template locked? relying on rake makes ... Closed 10/08/2015

Related to Foreman - Bug #12404: rake console doesn't work on rails 4.1 Closed 11/05/2015

Related to Foreman - Refactor #9524: Update to gettext_i18n_rails_js 1.x Resolved 02/24/2015

Related to Foreman - Refactor #12457: Use .exists? to check subnet exists for... Closed 11/12/2015

Related to Foreman - Refactor #3540: Change pluck('table.column') back to plu... New 10/29/2013

Related to Foreman - Bug #7246: Remove counter workaround for #5692 on upgrad... Rejected 08/25/2014

Related to Foreman - Refactor #12914: update rails configuration files to mat... Closed 12/22/2015

Related to Discovery - Feature #12951: Make discovery compatible for rails4 Closed 12/29/2015

Related to Foreman - Tracker #13243: Rails 4.2 upgrade tasks Resolved 01/15/2016

Has duplicate Foreman - Feature #7512: upgrade to rails 4.x Duplicate 09/18/2014

Blocked by Foreman - Tracker #4656: Drop Ruby 1.8 support Closed
Blocked by Packaging - Feature #7228: Rebuild packages under ror41/ruby22 SCLs Closed 08/22/2014

Blocks Packaging - Tracker #7229: Support installation on Fedora 21, drop Fed... Closed 08/22/2014

Blocked by Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

Blocked by Foreman - Refactor #10409: Rails 4 and 3 compatible changes Closed 05/07/2015

Blocked by Packaging - Bug #12876: Foreman build can't find bundler 1.3 or hi... Closed 12/18/2015

Blocks Katello - Tracker #9259: Rails 4 feature Resolved 02/06/2015

Associated revisions

Revision 729f0196 - 11/04/2015 07:34 AM - Tom Caspy 

refs #3157 - rails 4 changes

Revision a7b2c67b - 12/27/2015 06:50 PM - Ewoud Kohl van Wijngaarden 

Merge pull request #19 from unorthodoxgeek/rails4

refs #3157 - rails 4 changes

Revision 376fc416 - 01/12/2016 05:13 AM - Tom Caspy 

refs #3157 - rails 4 changes

Revision f6458b80 - 01/12/2016 09:41 AM - Shlomi Zadok

Merge pull request #138 from unorthodoxgeek/rails4

refs #3157 - rails 4 changes

Revision b4d752e1 - 01/13/2016 03:05 AM - Ondřej Pražák

Refs #3157 - Dashboard fix

Revision 8dfce670 - 01/19/2016 07:57 AM - Shlomi Zadok

Merge pull request #149 from xprazak2/dashboard-fix

Refs #3157 - Dashboard fix

History

#1 - 09/27/2013 08:37 AM - Dominic Cleal

- Related to Refactor #3158: Remove rescues from try calls where method doesn't exist added

#2 - 09/27/2013 08:40 AM - Dominic Cleal

- Tracker changed from Refactor to Tracker

#3 - 10/29/2013 03:40 PM - Dominic Cleal

- Blocked by Refactor #3540: Change pluck('table.column') back to pluck(:column) added

#4 - 03/13/2014 05:33 PM - Dominic Cleal

- Blocked by Tracker #4656: Drop Ruby 1.8 support added

#5 - 08/22/2014 06:37 AM - Dominic Cleal

- Blocked by Feature #7228: Rebuild packages under ror41/ruby22 SCLs added

#6 - 08/22/2014 06:39 AM - Dominic Cleal

- Blocks Tracker #7229: Support installation on Fedora 21, drop Fedora 19 added

#7 - 08/22/2014 06:40 AM - Dominic Cleal

- Blocked by Feature #7230: Upgrade Ruby on Rails to 4.1 added

#8 - 08/22/2014 06:45 AM - Dominic Cleal

- Subject changed from [TRACKER] Rails 4.0 upgrade tasks to Rails 4.0 upgrade tasks
#9 - 08/25/2014 09:31 AM - Tomer Brisker

- Blocked by Bug #7246: Remove counter workaround for #5692 on upgrade to rails 4.x added

#10 - 09/18/2014 03:23 AM - Ohad Levy

- Blocked by Feature #3917: Add strong_parameters to foreman added

#11 - 09/18/2014 03:24 AM - Ohad Levy

- Has duplicate Feature #7512: upgrade to rails 4.x added

#12 - 09/22/2014 07:34 AM - Joseph Magen

- Related to Refactor #7567: fix deprecated find_by_[attribute]_or_create dynamic methods  added

#13 - 09/22/2014 08:43 AM - Joseph Magen

- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#14 - 09/22/2014 08:53 AM - Joseph Magen

- Related to Bug #7569: scope's require create callable object (lambda or Proc) for rails 4 upgrade added

#15 - 09/22/2014 09:50 AM - Joseph Magen

- Related to Bug #7573: update PUT to PATCH in routes.rb or on form_for as PATCH is the primary HTTP verb for updates for rails 4 added

#16 - 09/22/2014 09:52 AM - Joseph Magen

- Related to Bug #7574: update confirm option for the link_to helper to be data attribute for rails 4 upgrade added

#17 - 09/22/2014 09:54 AM - Joseph Magen

- Related to Bug #7575: what to do with vendor/assets/fonts in rails 4 upgrade added

#18 - 10/01/2014 07:47 AM - Ohad Levy

- translation missing: en.field_release set to 21

#19 - 10/01/2014 08:50 AM - Ohad Levy

- translation missing: en.field_release deleted (21)

#20 - 10/20/2014 03:36 AM - Dominic Cleal

- Blocks Feature #7987: Support Ruby 2.1 added

#21 - 11/27/2014 05:44 AM - Dominic Cleal

- Blocks deleted (Feature #7987: Support Ruby 2.1)

#22 - 12/15/2014 08:08 AM - Dominic Cleal

- Blocked by Refactor #8705: Update jQuery to recent version added

#23 - 12/16/2014 07:15 AM - Tom Caspy

- Related to Bug #8724: replace gems which do not work with rails 4 added

#24 - 12/16/2014 08:29 AM - Tom Caspy

- Related to Bug #8726: remove deprecated hash_for_path_helper_path method calls added

#25 - 12/17/2014 04:18 AM - Tom Caspy

- Related to Bug #8737: resolve deprecation warnings and get gems to work. added

#26 - 12/17/2014 04:36 AM - Tom Caspy

- Related to Bug #8738: get tests to run with rails4 added

#27 - 01/02/2015 03:24 AM - Dominic Cleal

- Related to Bug #8791: I18n::InvalidLocale: :en is not a valid locale added
#28 - 01/02/2015 03:25 AM - Dominic Cleal

- Related to deleted (Bug #8791: I18n::InvalidLocale: :en is not a valid locale)

#29 - 01/02/2015 03:25 AM - Dominic Cleal

- Blocks Bug #4274: remove I18n deprecation warning when running tests added

#30 - 02/06/2015 11:58 AM - Eric Helms

- Blocked by Tracker #9259: Rails 4 feature added

#31 - 04/09/2015 05:17 AM - Dominic Cleal

- Blocks Bug #10019: Compute Profile Memory options different for selected language? added

#32 - 05/07/2015 08:09 AM - Daniel Lobato Garcia

- Blocked by Refactor #10409: Rails 4 and 3 compatible changes added

#33 - 07/27/2015 04:49 AM - Tomer Brisker

- Related to Refactor #11216: Change rails default error messages to use the rails-i18n gem added

#34 - 08/13/2015 10:39 AM - Adam Price

http://pad-katello.rhcloud.com/p/rails4

#35 - 09/15/2015 06:19 AM - Daniel Lobato Garcia

- Related to Bug #11812: Remove whiny nils and add eager load added

#36 - 09/15/2015 06:28 AM - Daniel Lobato Garcia

- Related to Bug #11813: Use new engines listing syntax added

#37 - 09/15/2015 06:34 AM - Daniel Lobato Garcia

- Related to Bug #11814: model_name needs to be stringified on Rails 4 added

#38 - 09/15/2015 06:51 AM - Daniel Lobato Garcia

- Related to Bug #11816: Remove whitelist_attributes as it's deprecated added

#39 - 09/15/2015 06:57 AM - Daniel Lobato Garcia

- Related to Bug #11817: Do not allow multi-line URL validations added

#40 - 09/15/2015 06:59 AM - Daniel Lobato Garcia

- Related to Bug #11818: Update match routes to GET added

#41 - 09/16/2015 06:47 AM - Daniel Lobato Garcia

- Related to Bug #11844: Remove duplicate distinct scope in FactValue added

#42 - 09/17/2015 03:04 AM - Ohad Levy

- Related to Bug #11846: Specify join_table and foreign keys for habtm associations added

#43 - 09/22/2015 07:27 AM - Daniel Lobato Garcia

- Related to Bug #11912: Remove deprecated assert_present assert_blank added

#44 - 09/30/2015 09:35 AM - Daniel Lobato Garcia

- Related to Bug #11924: Substitute .scoped by .where(nil) to force return relation added

#45 - 09/30/2015 09:55 AM - Daniel Lobato Garcia

- Related to Bug #12011: Replace .includes(table).where(table) by .eager_load added

#46 - 10/08/2015 04:33 AM - Daniel Lobato Garcia

- Related to Bug #12097: rails 4 compatibility - user_test compatible updates added
#47 - 10/08/2015 04:40 AM - Daniel Lobato Garcia

- Related to Refactor #12098: Dangling Fog.unmock! makes compute_resource_vms fail added

#48 - 10/08/2015 05:09 AM - Daniel Lobato Garcia

- Related to Refactor #12099: Template locked? relying on rake makes tests fail added

#49 - 10/27/2015 07:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#50 - 11/05/2015 09:52 AM - Tom Caspy

- Related to Bug #12404: rake console doesn't work on rails 4.1 added

#51 - 11/09/2015 09:50 AM - Dominic Cleal

- Related to Refactor #9524: Update to gettext_i18n_rails_js 1.x added

#52 - 11/12/2015 09:55 AM - Daniel Lobato Garcia

- Related to Refactor #12457: Use .exists? to check subnet exists for Rails 4 compatibility added

#53 - 12/18/2015 05:10 AM - Dominic Cleal

- Blocked by deleted (Refactor #3540: Change pluck('table.column') back to pluck(:column))

#54 - 12/18/2015 05:11 AM - Dominic Cleal

- Related to Refactor #3540: Change pluck('table.column') back to pluck(:column) added

#55 - 12/18/2015 05:16 AM - Dominic Cleal

- Blocked by deleted (Feature #3917: Add strong_parameters to foreman)

#56 - 12/18/2015 05:16 AM - Dominic Cleal

- Blocked by deleted (Refactor #8705: Update jQuery to recent version)

#57 - 12/18/2015 05:17 AM - Dominic Cleal

- Blocks deleted (Bug #4274: remove I18n deprecation warning when running tests)

#58 - 12/18/2015 05:20 AM - Dominic Cleal

- Blocks deleted (Bug #10019: Compute Profile Memory options different for selected language?)

#59 - 12/18/2015 06:12 AM - Dominic Cleal

- Blocked by deleted (Bug #7246: Remove counter workaround for #5692 on upgrade to rails 4.x)

#60 - 12/18/2015 06:12 AM - Dominic Cleal

- Blocked by Bug #7246: Remove counter workaround for #5692 on upgrade to rails 4.x added

#61 - 12/18/2015 10:11 AM - Dominic Cleal

- Blocked by Bug #12876: Foreman build can't find bundler 1.3 or higher on Wheezy/Precise added

#62 - 12/18/2015 10:12 AM - Dominic Cleal

- Subject changed from Rails 4.0 upgrade tasks to Rails 4.1 upgrade tasks

#63 - 12/18/2015 10:12 AM - Dominic Cleal

- Blocked by deleted (Bug #7246: Remove counter workaround for #5692 on upgrade to rails 4.x)

#64 - 12/18/2015 10:12 AM - Dominic Cleal

- Related to Bug #7246: Remove counter workaround for #5692 on upgrade to rails 4.x added

#65 - 12/22/2015 05:51 AM - Dominic Cleal

- Blocked by deleted (Tracker #9259: Rails 4 feature)
#66 - 12/22/2015 05:51 AM - Dominic Cleal

- Blocks Tracker #9259: Rails 4 feature added

#67 - 12/22/2015 08:00 AM - Ohad Levy

- Related to Refactor #12914: update rails configuration files to match to 4.1 syntax added

#68 - 12/22/2015 10:41 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 71

Any further tickets for issues resulting from the Rails 4.1 upgrade should be marked as related to either #7230 (for Foreman core) or this ticket, and

with release set to 1.11.0 so they're resolved as blockers.

#69 - 12/29/2015 03:38 AM - Ori Rabin

- Related to Feature #12951: Make discovery compatible for rails4 added

#70 - 01/15/2016 09:49 AM - Dominic Cleal

- Related to Tracker #13243: Rails 4.2 upgrade tasks added
